<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LastTicketingDateRS StructType
 * @package Dg
 * @subpackage Structs
 */
class DgLastTicketingDateRS extends AbstractStructBase
{
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgErrorsType
     */
    public $Errors;
    /**
     * The LastTicketingDateData
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\ArrayType\DgArrayOfLastTicketingDateData
     */
    public $LastTicketingDateData;
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgSuccessType
     */
    public $Success;
    /**
     * Constructor method for LastTicketingDateRS
     * @uses DgLastTicketingDateRS::setErrors()
     * @uses DgLastTicketingDateRS::setLastTicketingDateData()
     * @uses DgLastTicketingDateRS::setSuccess()
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @param \dgsoft\ArrayType\DgArrayOfLastTicketingDateData $lastTicketingDateData
     * @param \dgsoft\StructType\DgSuccessType $success
     */
    public function __construct(\dgsoft\StructType\DgErrorsType $errors = null, \dgsoft\ArrayType\DgArrayOfLastTicketingDateData $lastTicketingDateData = null, \dgsoft\StructType\DgSuccessType $success = null)
    {
        $this
            ->setErrors($errors)
            ->setLastTicketingDateData($lastTicketingDateData)
            ->setSuccess($success);
    }
    /**
     * Get Errors value
     * @return \dgsoft\StructType\DgErrorsType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @return \dgsoft\StructType\DgLastTicketingDateRS
     */
    public function setErrors(\dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get LastTicketingDateData value
     * @return \dgsoft\ArrayType\DgArrayOfLastTicketingDateData|null
     */
    public function getLastTicketingDateData()
    {
        return $this->LastTicketingDateData;
    }
    /**
     * Set LastTicketingDateData value
     * @param \dgsoft\ArrayType\DgArrayOfLastTicketingDateData $lastTicketingDateData
     * @return \dgsoft\StructType\DgLastTicketingDateRS
     */
    public function setLastTicketingDateData(\dgsoft\ArrayType\DgArrayOfLastTicketingDateData $lastTicketingDateData = null)
    {
        $this->LastTicketingDateData = $lastTicketingDateData;
        return $this;
    }
    /**
     * Get Success value
     * @return \dgsoft\StructType\DgSuccessType|null
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param \dgsoft\StructType\DgSuccessType $success
     * @return \dgsoft\StructType\DgLastTicketingDateRS
     */
    public function setSuccess(\dgsoft\StructType\DgSuccessType $success = null)
    {
        $this->Success = $success;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgLastTicketingDateRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
